Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.lang
Class Double

Method Summary
`double` | `abs()` Get the absolute value
`void` | `downto(Number to, Closure closure)` Iterates from this number down to the given number, inclusive, decrementing by one each time
`long` | `round()` Round the value
`void` | `upto(Number to, Closure closure)` Iterates from this number up to the given number, inclusive, incrementing by one each time

Method Detail

### abs

    public double abs()

  Get the absolute value

Returns:
  the absolute value of that Double

### downto

    public void downto(Number to, Closure closure)

  Iterates from this number down to the given number, inclusive, decrementing by one each time.

Parameters:
  `to` - the end number.
  `closure` - the code to execute for each number.

### round

    public long round()

  Round the value

Returns:
  the absolute value of that Double

### upto

    public void upto(Number to, Closure closure)

  Iterates from this number up to the given number, inclusive, incrementing by one each time.

Parameters:
  `to` - the end number.
  `closure` - the code to execute for each number.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK